UT99 (Native) FGLRX w/UTGLR on Ubuntu 15.10 working

Get some cool tips about how to tweak your UT graphic, gameplay, and much more!
Post Reply
ruki
Novice
Posts: 3
Joined: Sat Dec 28, 2013 4:06 pm
Contact:

UT99 (Native) FGLRX w/UTGLR on Ubuntu 15.10 working

Post by ruki » Tue Apr 12, 2016 12:17 am

I managed to get this working last night so put it up a guide on our site, main post UT99 Sound/UTGLR/FGLRX on Ubuntu Wily

For the community here the crux of the post in regards having it work is to do the following,

Install the 32bit compatibility libraries – The GNU Standard C++ Library v3

Code: Select all

$ sudo apt-get install libstdc++5:i386
Symlink libstdc++5 to <ut99installpath>/System/ as libstdc++6

Code: Select all

$ ln -s /usr/lib/i386-linux-gnu/libstdc++.so.5 <installpath>/System/libstdc++6
The failure point was with UT99 trying to use the systems libstdc++6, this is visible when run through gdb

Code: Select all

Program received signal SIGSEGV, Segmentation fault.
 0xf35b5908 in ?? () from /usr/lib/i386-linux-gnu/libstdc++.so.6
 (gdb)
By symlinking the older libstdc++.so.5 into the System dir, UT will pick that up instead of the actual system installed libstdc++.so.6

Configure UT to use the OpenGL renderer with FGLRX installed and you're good to go, fullscreen is not working yet for me though.

sai

Aldebaran
Masterful
Posts: 672
Joined: Thu Jan 28, 2016 7:30 pm

Re: UT99 (Native) FGLRX w/UTGLR on Ubuntu 15.10 working

Post by Aldebaran » Tue Apr 12, 2016 12:57 pm

Nice! :tu:
Fullscreen would be a nice option...

And in a few days new Ubuntu 16.04 and Linux Mint 18 will be released, there is no fglrx driver onboard. AMD is no longer actively maintaining that Linux driver so it will not work in the new Ubuntu version. It would be interesting to know if UT99 runs natively there with the open source driver which should got much improvements in the last time.

Post Reply